Page MenuHomeFreeBSD

add arch.7 man page with architecture-specific details
ClosedPublic

Authored by emaste on Jul 4 2016, 3:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, May 23, 12:21 PM
Unknown Object (File)
Mon, May 20, 6:12 AM
Unknown Object (File)
Mon, May 6, 8:32 AM
Unknown Object (File)
Sun, May 5, 3:18 AM
Unknown Object (File)
Apr 22 2024, 7:42 AM
Unknown Object (File)
Apr 22 2024, 4:07 AM
Unknown Object (File)
Apr 17 2024, 3:09 AM
Unknown Object (File)
Apr 16 2024, 8:05 AM
Tokens
"Like" token, awarded by br.

Details

Summary

Based on https://wiki.freebsd.org/EdMaste/ArchitectureSpecifics

Needs more work; posting for now to get feedback on correct markup

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

emaste retitled this revision from to add arch.7 man page with architecture-specific details.
emaste updated this object.
emaste edited the test plan for this revision. (Show Details)
emaste added a subscriber: wblock.
emaste added inline comments.
share/man/man7/arch.7
112 ↗(On Diff #18126)

One missing part from the wiki is footnotes on some of these:

double precision[1]

[1] Prior to FreeBSD 11, armv6 is built with the softfp ABI by default, it uses hard float, but passed floating-point arguments as soft float, i.e. in integer registers.

share/man/man7/arch.7
42 ↗(On Diff #18126)

This "size" should be capitalized. The later ones are part of reserved words.

126 ↗(On Diff #18126)

Built-in and predefined really mean the same thing, so this is redundant. Predefined is probably the better choice for a single one.

131 ↗(On Diff #18126)

s/the following/this/

  • connect to Makefile
  • incorporate improvements from @wblock
jhb added a reviewer: jhb.

It should be trivial to merge new manpages into 11 btw, so I think the history should optimistically reference 11.0. :)

Another interesting category (which can be added later) is what ELF header constants are used for different platforms. (I had to figure this out for the libkvm changes. For example, mipsn32 and mipso32 share the EM_xxx and use a flag to differentiate)

This revision is now accepted and ready to land.Jul 5 2016, 1:25 PM
andrew added a reviewer: andrew.

The ARM bits look correct.

share/man/man7/arch.7
112 ↗(On Diff #18126)

That would only be an issue if we merged this into 10.

This revision was automatically updated to reflect the committed changes.